Chat Integrations

List Chat Integration Members

List the other members of a Chat integration's server

get
/v1/integration/chat/{chatIntegrationId}/member/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

chatIntegrationIdstring* Required

The ID of the Chat integration

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

token: process.env.CHATBOTKIT_API_TOKEN!

})

const response = await cbk.integration.chat.member.list(

chatIntegrationId
)
{
"items":[
{
"id":"string",
"handle":"string",
"name":"string",
"description":"string",
"groups":[
"string"
],
"wildcard":"boolean"
}
]
}
The members of the server were retrieved successfully